import{Component,Event,h,Method,Prop,State,Watch}from"@stencil/core";import{state as checkoutState}from"@store/checkout";import{lockCheckout,unLockCheckout}from"@store/checkout/mutations";import{__}from"@wordpress/i18n";import{createOrUpdateCheckout}from"../../../../services/session";import{openWormhole}from"stencil-wormhole";export class ScOrderShippingAddress{constructor(){this.required=!1,this.namePlaceholder=__("Name or Company Name","surecart"),this.countryPlaceholder=__("Country","surecart"),this.cityPlaceholder=__("City","surecart"),this.line1Placeholder=__("Address","surecart"),this.line2Placeholder=__("Address Line 2","surecart"),this.postalCodePlaceholder=__("Postal Code/Zip","surecart"),this.statePlaceholder=__("State/Province/Region","surecart"),this.placeholders={name:__("Name or Company Name","surecart"),country:__("Country","surecart"),city:__("City","surecart"),line_1:__("Address","surecart"),line_2:__("Address Line 2","surecart"),postal_code:__("Postal Code/Zip","surecart"),state:__("State/Province/Region","surecart")},this.address={country:null,city:null,line_1:null,line_2:null,postal_code:null,state:null}}handleCustomerAddressChange(e,t){(null==e?void 0:e.id)&&!t&&(this.address={...this.address,...e})}async updateAddressState(e){if(JSON.stringify(e)!==JSON.stringify(this.address)){this.address=e;try{lockCheckout("shipping-address"),checkoutState.checkout=await createOrUpdateCheckout({id:checkoutState.checkout.id,data:{shipping_address:this.address}})}catch(e){console.error(e)}finally{unLockCheckout("shipping-address")}}}async reportValidity(){return this.input.reportValidity()}componentWillLoad(){this.defaultCountry&&!this.address.country&&(this.address.country=this.defaultCountry),this.handleRequirementChange()}handleRequirementChange(){(this.shippingEnabled||this.taxEnabled)&&(this.required=!0)}render(){return this.shippingEnabled||this.full?h("sc-address",{exportparts:"label, help-text, form-control, input__base, select__base, columns, search__base, menu__base",ref:e=>this.input=e,label:this.label||__("Shipping Address","surecart"),placeholders:{name:this.namePlaceholder,country:this.countryPlaceholder,city:this.cityPlaceholder,line_1:this.line1Placeholder,line_2:this.line2Placeholder,postal_code:this.postalCodePlaceholder,state:this.statePlaceholder},required:this.required,loading:this.loading,address:this.address,"show-name":this.showName,onScChangeAddress:e=>this.updateAddressState(e.detail)}):h("sc-compact-address",{ref:e=>this.input=e,required:this.required,loading:this.loading,address:this.address,label:this.label,onScChangeAddress:e=>this.updateAddressState(e.detail)})}static get is(){return"sc-order-shipping-address"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-order-shipping-address.scss"]}}static get styleUrls(){return{$:["sc-order-shipping-address.css"]}}static get properties(){return{label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Label for the field."},attribute:"label",reflect:!1},required:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Is this required (defaults to false)"},attribute:"required",reflect:!1,defaultValue:"false"},loading:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Is this loading."},attribute:"loading",reflect:!1},shippingAddress:{type:"unknown",mutable:!1,complexType:{original:"Address",resolved:"Address",references:{Address:{location:"import",path:"../../../../types"}}},required:!1,optional:!1,docs:{tags:[],text:"Holds the customer's billing address"}},taxStatus:{type:"string",mutable:!1,complexType:{original:"TaxStatus",resolved:'"address_invalid" | "calculated" | "disabled" | "estimated" | "reverse_charged" | "tax_registration_not_found" | "tax_zone_not_found"',references:{TaxStatus:{location:"import",path:"../../../../types"}}},required:!1,optional:!1,docs:{tags:[],text:"Tax status of the order"},attribute:"tax-status",reflect:!1},taxEnabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Tax enabled status of the order"},attribute:"tax-enabled",reflect:!1},shippingEnabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Is shipping enabled for this order?"},attribute:"shipping-enabled",reflect:!1},full:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Show the full address"},attribute:"full",reflect:!1},showName:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Show the name field."},attribute:"show-name",reflect:!1},namePlaceholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Show the placeholder fields."},attribute:"name-placeholder",reflect:!1,defaultValue:"__('Name or Company Name', 'surecart')"},countryPlaceholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"country-placeholder",reflect:!1,defaultValue:"__('Country', 'surecart')"},cityPlaceholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"city-placeholder",reflect:!1,defaultValue:"__('City', 'surecart')"},line1Placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"line-1-placeholder",reflect:!1,defaultValue:"__('Address', 'surecart')"},line2Placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"line-2-placeholder",reflect:!1,defaultValue:"__('Address Line 2', 'surecart')"},postalCodePlaceholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"postal-code-placeholder",reflect:!1,defaultValue:"__('Postal Code/Zip', 'surecart')"},statePlaceholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"state-placeholder",reflect:!1,defaultValue:"__('State/Province/Region', 'surecart')"},defaultCountry:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Default country for address"},attribute:"default-country",reflect:!1},placeholders:{type:"unknown",mutable:!1,complexType:{original:"Partial<Address>",resolved:"{ name?: string; line_1?: string; line_2?: string; city?: string; state?: string; postal_code?: string; country?: string; constructor?: Function; toString?: () => string; toLocaleString?: () => string; valueOf?: () => Object; hasOwnProperty?: (v: PropertyKey) => boolean; isPrototypeOf?: (v: Object) => boolean; propertyIsEnumerable?: (v: PropertyKey) => boolean; }",references:{Partial:{location:"global"},Address:{location:"import",path:"../../../../types"}}},required:!1,optional:!1,docs:{tags:[],text:"Placeholder values."},defaultValue:"{\n    name: __('Name or Company Name', 'surecart'),\n    country: __('Country', 'surecart'),\n    city: __('City', 'surecart'),\n    line_1: __('Address', 'surecart'),\n    line_2: __('Address Line 2', 'surecart'),\n    postal_code: __('Postal Code/Zip', 'surecart'),\n    state: __('State/Province/Region', 'surecart'),\n  }"}}}static get states(){return{address:{}}}static get events(){return[{method:"scUpdateOrder",name:"scUpdateOrder",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Make a request to update the order."},complexType:{original:"{\n    data: Partial<Checkout>;\n    options?: { silent?: boolean };\n  }",resolved:"{ data: Partial<Checkout>; options?: { silent?: boolean; }; }",references:{Partial:{location:"global"},Checkout:{location:"import",path:"../../../../types"}}}}]}static get methods(){return{reportValidity:{complexType:{signature:"() => Promise<boolean>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<boolean>"},docs:{text:"",tags:[]}}}}static get watchers(){return[{propName:"shippingAddress",methodName:"handleCustomerAddressChange"},{propName:"shippingEnabled",methodName:"handleRequirementChange"},{propName:"taxEnabled",methodName:"handleRequirementChange"}]}}openWormhole(ScOrderShippingAddress,["shippingAddress","loading","taxStatus","taxEnabled","shippingEnabled"],!1);