import{Component,Element,Fragment,h,Prop,State}from"@stencil/core";import{__}from"@wordpress/i18n";import{addQueryArgs}from"@wordpress/url";import apiFetch from"../../../../functions/fetch";import{onFirstVisible}from"../../../../functions/lazy";import{intervalString}from"../../../../functions/price";import{formatTaxDisplay}from"../../../../functions/tax";export class ScOrder{componentDidLoad(){onFirstVisible(this.el,(()=>{this.fetchOrder(),this.fetchDownloads()}))}async fetchOrder(){try{this.loading=!0,await this.getOrder()}catch(e){console.error(this.error),this.error=(null==e?void 0:e.message)||__("Something went wrong","surecart")}finally{this.loading=!1}}async fetchDownloads(){try{this.busy=!0,this.purchases=await apiFetch({path:addQueryArgs("surecart/v1/purchases",{expand:["product","product.downloads","download.media"],order_ids:[this.orderId],customer_ids:this.customerIds,downloadable:!0})})}catch(e){console.error(this.error),this.error=(null==e?void 0:e.message)||__("Something went wrong","surecart")}finally{this.busy=!1}}async getOrder(){this.order=await apiFetch({path:addQueryArgs(`surecart/v1/orders/${this.orderId}`,{expand:["checkout","checkout.line_items","line_item.price","price.product","checkout.manual_payment_method","checkout.payment_method","payment_method.card","payment_method.payment_instrument","payment_method.paypal_account","payment_method.bank_account"]})})}renderLoading(){return h("sc-flex",{flexDirection:"column",style:{gap:"1em"}},h("sc-skeleton",{style:{width:"20%",display:"inline-block"}}),h("sc-skeleton",{style:{width:"60%",display:"inline-block"}}),h("sc-skeleton",{style:{width:"40%",display:"inline-block"}}))}renderEmpty(){return h("sc-empty",{icon:"shopping-bag"},__("Order not found.","surecart"))}renderContent(){var e,t,r;if(this.loading)return this.renderLoading();if(!(null===(e=this.order)||void 0===e?void 0:e.id))return this.renderEmpty();const o=null===(t=this.order)||void 0===t?void 0:t.checkout;return h(Fragment,null,((null===(r=null==o?void 0:o.line_items)||void 0===r?void 0:r.data)||[]).map((e=>{var t,r,o,n,i,s;return h("sc-product-line-item",{key:e.id,imageUrl:null===(r=null===(t=null==e?void 0:e.price)||void 0===t?void 0:t.product)||void 0===r?void 0:r.image_url,name:null===(n=null===(o=null==e?void 0:e.price)||void 0===o?void 0:o.product)||void 0===n?void 0:n.name,editable:!1,removable:!1,quantity:e.quantity,amount:e.subtotal_amount,currency:null===(i=null==e?void 0:e.price)||void 0===i?void 0:i.currency,trialDurationDays:null===(s=null==e?void 0:e.price)||void 0===s?void 0:s.trial_duration_days,interval:intervalString(null==e?void 0:e.price)})})),h("sc-divider",{style:{"--spacing":"var(--sc-spacing-x-small)"}}),h("sc-line-item",null,h("span",{slot:"description"},__("Subtotal","surecart")),h("sc-format-number",{slot:"price",style:{"font-weight":"var(--sc-font-weight-semibold)",color:"var(--sc-color-gray-800)"},type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.subtotal_amount})),!!(null==o?void 0:o.proration_amount)&&h("sc-line-item",null,h("span",{slot:"description"},__("Proration","surecart")),h("sc-format-number",{slot:"price",style:{"font-weight":"var(--sc-font-weight-semibold)",color:"var(--sc-color-gray-800)"},type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.proration_amount})),!!(null==o?void 0:o.applied_balance_amount)&&h("sc-line-item",null,h("span",{slot:"description"},__("Applied Balance","surecart")),h("sc-format-number",{slot:"price",style:{"font-weight":"var(--sc-font-weight-semibold)",color:"var(--sc-color-gray-800)"},type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.applied_balance_amount})),!!(null==o?void 0:o.discounts)&&h("sc-line-item",null,h("span",{slot:"description"},__("Discount","surecart")),h("sc-format-number",{slot:"price",style:{"font-weight":"var(--sc-font-weight-semibold)",color:"var(--sc-color-gray-800)"},type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.discounts})),!!(null==o?void 0:o.tax_amount)&&h("sc-line-item",null,h("span",{slot:"description"},formatTaxDisplay(null==o?void 0:o.tax_label)),h("sc-format-number",{slot:"price",style:{"font-weight":"var(--sc-font-weight-semibold)",color:"var(--sc-color-gray-800)"},type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.tax_amount})),h("sc-divider",{style:{"--spacing":"var(--sc-spacing-x-small)"}}),h("sc-line-item",{style:{width:"100%","--price-size":"var(--sc-font-size-x-large)"}},h("span",{slot:"title"},__("Total","surecart")),h("span",{slot:"price"},h("sc-format-number",{type:"currency",currency:null==o?void 0:o.currency,value:null==o?void 0:o.amount_due})),h("span",{slot:"currency"},null==o?void 0:o.currency)))}render(){var e,t,r,o,n,i,s;const l=null===(e=null==this?void 0:this.order)||void 0===e?void 0:e.checkout,a=null==l?void 0:l.manual_payment_method;return h("sc-spacing",{style:{"--spacing":"var(--sc-spacing-large)"}},h("sc-dashboard-module",{error:this.error},h("span",{slot:"heading"},this.loading?h("sc-skeleton",{style:{width:"120px"}}):`#${null===(t=null==this?void 0:this.order)||void 0===t?void 0:t.number}`),!this.loading&&!(null==l?void 0:l.live_mode)&&h("sc-tag",{type:"warning",slot:"end"},__("Test Mode","surecart")),!!(null==a?void 0:a.name)&&!!(null==a?void 0:a.instructions)&&h("sc-order-manual-instructions",{manualPaymentTitle:null==a?void 0:a.name,manualPaymentInstructions:null==a?void 0:a.instructions}),h("sc-card",{"no-padding":!this.loading},this.loading?this.renderLoading():h(Fragment,null,h("sc-stacked-list",null,h("sc-stacked-list-row",{style:{"--columns":"2"}},h("div",null,__("Order Status","surecart")),h("sc-order-status-badge",{status:null===(r=null==this?void 0:this.order)||void 0===r?void 0:r.status})),h("sc-stacked-list-row",{style:{"--columns":"2"}},h("div",null,__("Date","surecart")),h("sc-format-date",{type:"timestamp",date:null===(o=this.order)||void 0===o?void 0:o.created_at,month:"short",day:"numeric",year:"numeric"})),h("sc-stacked-list-row",{style:{"--columns":"2"}},h("div",null,__("Payment Method","surecart")),h("sc-payment-method",{paymentMethod:null==l?void 0:l.payment_method})))))),(null===(n=this.order)||void 0===n?void 0:n.statement_url)&&h("sc-button",{type:"primary",href:null===(i=this.order)||void 0===i?void 0:i.statement_url,target:"_blank"},h("sc-icon",{name:"inbox",slot:"prefix"}),__("Download Receipt/Invoice","surecart")),!!(null===(s=this.purchases)||void 0===s?void 0:s.length)&&h("sc-purchase-downloads-list",{heading:__("Downloads","surecart"),purchases:this.purchases}))}static get is(){return"sc-order"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-order.scss"]}}static get styleUrls(){return{$:["sc-order.css"]}}static get properties(){return{orderId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"order-id",reflect:!1},customerIds:{type:"unknown",mutable:!1,complexType:{original:"string[]",resolved:"string[]",references:{}},required:!1,optional:!1,docs:{tags:[],text:""}},heading:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"heading",reflect:!1}}}static get states(){return{order:{},purchases:{},loading:{},busy:{},error:{}}}static get elementRef(){return"el"}}