import{Component,Element,Fragment,h,Prop,State}from"@stencil/core";import{sprintf,__}from"@wordpress/i18n";import{addQueryArgs,getQueryArg}from"@wordpress/url";import apiFetch from"../../../../functions/fetch";import{onFirstVisible}from"../../../../functions/lazy";export class ScSubscription{componentWillLoad(){onFirstVisible(this.el,(()=>{this.subscription||this.getSubscription()}))}async cancelPendingUpdate(){var e;if(confirm(__("Are you sure you want to cancel the pending update to your plan?","surecart")))try{this.busy=!0,this.subscription=await apiFetch({path:addQueryArgs(`surecart/v1/subscriptions/${null===(e=this.subscription)||void 0===e?void 0:e.id}/`,{expand:["price","price.product","current_period","period.checkout","purchase","purchase.license","license.activations","discount","discount.coupon"]}),method:"PATCH",data:{purge_pending_update:!0}})}catch(e){(null==e?void 0:e.message)?this.error=e.message:this.error=__("Something went wrong","surecart"),console.error(this.error)}finally{this.busy=!1}}async renewSubscription(){var e;try{this.error="",this.busy=!0,this.subscription=await apiFetch({path:addQueryArgs(`surecart/v1/subscriptions/${null===(e=this.subscription)||void 0===e?void 0:e.id}/renew`,{expand:["price","price.product","current_period","period.checkout","purchase","purchase.license","license.activations","discount","discount.coupon"]}),method:"PATCH"})}catch(e){this.error=(null==e?void 0:e.message)||__("Something went wrong","surecart")}finally{this.busy=!1}}async getSubscription(){var e;try{this.loading=!0,this.subscription=await await apiFetch({path:addQueryArgs(`surecart/v1/subscriptions/${this.subscriptionId||(null===(e=this.subscription)||void 0===e?void 0:e.id)}`,{expand:["price","price.product","current_period"],...this.query||{}})})}catch(e){(null==e?void 0:e.message)?this.error=e.message:this.error=__("Something went wrong","surecart"),console.error(this.error)}finally{this.loading=!1}}renderName(e){var t,r,i;return"string"!=typeof(null===(t=null==e?void 0:e.price)||void 0===t?void 0:t.product)?null===(i=null===(r=null==e?void 0:e.price)||void 0===r?void 0:r.product)||void 0===i?void 0:i.name:__("Subscription","surecart")}renderRenewalText(e){const t=h("sc-subscription-status-badge",{subscription:e});return(null==e?void 0:e.cancel_at_period_end)&&e.current_period_end_at?h("span",null,t," ",sprintf(__("Your plan will be canceled on","surecart"))," ",h("sc-format-date",{date:1e3*e.current_period_end_at,month:"long",day:"numeric",year:"numeric"})):"trialing"===e.status&&e.trial_end_at?h("span",null,t," ",sprintf(__("Your plan begins on","surecart"))," ",h("sc-format-date",{date:1e3*e.trial_end_at,month:"long",day:"numeric",year:"numeric"})):"active"===e.status&&e.current_period_end_at?h("span",null,t," ",sprintf(__("Your plan renews on","surecart"))," ",h("sc-format-date",{date:1e3*e.current_period_end_at,month:"long",day:"numeric",year:"numeric"})):t}renderEmpty(){return h("slot",{name:"empty"},__("This subscription does not exist.","surecart"))}renderLoading(){return h("sc-stacked-list-row",{style:{"--columns":"2"},"mobile-size":0},h("div",{style:{padding:"0.5em"}},h("sc-skeleton",{style:{width:"30%",marginBottom:"0.75em"}}),h("sc-skeleton",{style:{width:"20%",marginBottom:"0.75em"}}),h("sc-skeleton",{style:{width:"40%"}})))}renderContent(){return this.loading?this.renderLoading():this.subscription?h(Fragment,null,h("sc-subscription-next-payment",{subscription:this.subscription},h("sc-subscription-details",{subscription:this.subscription}))):this.renderEmpty()}render(){var e,t,r,i;return h("sc-dashboard-module",{heading:this.heading||__("Current Plan","surecart"),class:"subscription",error:this.error},!!this.subscription&&h("sc-flex",{slot:"end"},"update_payment_method"!==getQueryArg(window.location.href,"action")&&h("sc-button",{type:"link",href:addQueryArgs(window.location.href,{action:"update_payment_method"})},h("sc-icon",{name:"credit-card",slot:"prefix"}),__("Update Payment Method","surecart")),!!Object.keys(null===(e=this.subscription)||void 0===e?void 0:e.pending_update).length&&h("sc-button",{type:"link",onClick:()=>this.cancelPendingUpdate()},h("sc-icon",{name:"x-octagon",slot:"prefix"}),__("Cancel Scheduled Update","surecart")),(null===(t=null==this?void 0:this.subscription)||void 0===t?void 0:t.cancel_at_period_end)?h("sc-button",{type:"link",onClick:()=>this.renewSubscription()},h("sc-icon",{name:"repeat",slot:"prefix"}),__("Restore Plan","surecart")):"canceled"!==(null===(r=this.subscription)||void 0===r?void 0:r.status)&&(null===(i=this.subscription)||void 0===i?void 0:i.current_period_end_at)&&this.showCancel&&h("sc-button",{type:"link",onClick:()=>this.cancelModal=!0},h("sc-icon",{name:"x",slot:"prefix"}),__("Cancel Plan","surecart"))),h("sc-card",{style:{"--overflow":"hidden"},noPadding:!0},this.renderContent()),this.busy&&h("sc-block-ui",{spinner:!0}),h("sc-cancel-dialog",{subscription:this.subscription,protocol:this.protocol,open:this.cancelModal,onScRequestClose:()=>this.cancelModal=!1,onScRefresh:()=>this.getSubscription()}))}static get is(){return"sc-subscription"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-subscription.scss"]}}static get styleUrls(){return{$:["sc-subscription.css"]}}static get properties(){return{subscriptionId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Customer id to fetch subscriptions"},attribute:"subscription-id",reflect:!1},showCancel:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"show-cancel",reflect:!1},heading:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"heading",reflect:!1},query:{type:"unknown",mutable:!1,complexType:{original:"object",resolved:"object",references:{}},required:!1,optional:!1,docs:{tags:[],text:""}},protocol:{type:"unknown",mutable:!1,complexType:{original:"SubscriptionProtocol",resolved:"SubscriptionProtocol",references:{SubscriptionProtocol:{location:"import",path:"../../../../types"}}},required:!1,optional:!1,docs:{tags:[],text:""}},subscription:{type:"unknown",mutable:!0,complexType:{original:"Subscription",resolved:"Subscription",references:{Subscription:{location:"import",path:"../../../../types"}}},required:!1,optional:!1,docs:{tags:[],text:""}}}}static get states(){return{loading:{},cancelModal:{},busy:{},error:{}}}static get elementRef(){return"el"}}