import{Component,h,Prop,Fragment,Watch,Event}from"@stencil/core";import{zones,getType}from"../../../functions/tax";export class ScTaxIdInput{constructor(){this.show=!1,this.type="other",this.number=null,this.status="unknown",this.otherLabel="Other",this.caGstLabel="GST Number",this.auAbnLabel="ABN Number",this.gbVatLabel="UK VAT",this.euVatLabel="EU VAT"}handleCountryChange(){this.country&&(this.type=getType(this.country))}onLabelChange(){zones.ca_gst.label=this.caGstLabel||zones.ca_gst.label,zones.au_abn.label=this.auAbnLabel||zones.au_abn.label,zones.gb_vat.label=this.gbVatLabel||zones.gb_vat.label,zones.eu_vat.label=this.euVatLabel||zones.eu_vat.label,zones.other.label=this.otherLabel||zones.other.label}componentWillLoad(){this.country&&(this.type=getType(this.country)),this.onLabelChange()}renderStatus(){return"valid"===this.status?h("sc-icon",{name:"check",slot:"prefix",style:{color:"var(--sc-color-success-500)"}}):"invalid"===this.status?h("sc-icon",{name:"x",slot:"prefix",style:{color:"var(--sc-color-danger-500)"}}):void 0}render(){var e,t;return h(Fragment,null,h("sc-input",{name:"tax_identifier.number_type",value:this.type,style:{display:"none"}}),h("sc-input",{label:null===(e=null==zones?void 0:zones[(null==this?void 0:this.type)||"other"])||void 0===e?void 0:e.label,name:"tax_identifier.number",value:this.number,onScInput:e=>{e.stopImmediatePropagation(),this.scInput.emit({number:e.target.value,number_type:this.type||"other"})},onScChange:e=>{e.stopImmediatePropagation(),this.scChange.emit({number:e.target.value,number_type:this.type||"other"})}},this.loading&&"eu_vat"===this.type?h("sc-spinner",{slot:"prefix",style:{"--spinner-size":"10px"}}):this.renderStatus(),h("sc-dropdown",{slot:"suffix",position:"bottom-right"},h("sc-button",{type:"text",slot:"trigger",caret:!0,loading:!1,style:{color:"var(--sc-input-label-color)"}},null===(t=null==zones?void 0:zones[(null==this?void 0:this.type)||"other"])||void 0===t?void 0:t.label_small),h("sc-menu",null,Object.keys(zones||{}).map((e=>h("sc-menu-item",{onClick:()=>{this.scInput.emit({number:this.number,number_type:e}),this.scChange.emit({number:this.number,number_type:e}),this.type=e},checked:this.type===e},zones[e].label_small)))))))}static get is(){return"sc-tax-id-input"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-tax-id-input.css"]}}static get styleUrls(){return{$:["sc-tax-id-input.css"]}}static get properties(){return{country:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The country code."},attribute:"country",reflect:!1},show:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Force show the field."},attribute:"show",reflect:!1,defaultValue:"false"},type:{type:"string",mutable:!0,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Type of tax id"},attribute:"type",reflect:!1,defaultValue:"'other'"},number:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Tax ID Number"},attribute:"number",reflect:!1,defaultValue:"null"},status:{type:"string",mutable:!1,complexType:{original:"'valid' | 'invalid' | 'unknown'",resolved:'"invalid" | "unknown" | "valid"',references:{}},required:!1,optional:!1,docs:{tags:[],text:"The status"},attribute:"status",reflect:!1,defaultValue:"'unknown'"},loading:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Is this loading?"},attribute:"loading",reflect:!1},help:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Help text."},attribute:"help",reflect:!1},otherLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Other zones label"},attribute:"other-label",reflect:!1,defaultValue:"'Other'"},caGstLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"GST zone label"},attribute:"ca-gst-label",reflect:!1,defaultValue:"'GST Number'"},auAbnLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"AU zone label"},attribute:"au-abn-label",reflect:!1,defaultValue:"'ABN Number'"},gbVatLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"UK zone label"},attribute:"gb-vat-label",reflect:!1,defaultValue:"'UK VAT'"},euVatLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"EU zone label"},attribute:"eu-vat-label",reflect:!1,defaultValue:"'EU VAT'"}}}static get events(){return[{method:"scChange",name:"scChange",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Make a request to update the order."},complexType:{original:"{ number: string; number_type: string }",resolved:"{ number: string; number_type: string; }",references:{}}},{method:"scInput",name:"scInput",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Make a request to update the order."},complexType:{original:"Partial<{ number: string; number_type: string }>",resolved:"{ number?: string; number_type?: string; }",references:{Partial:{location:"global"}}}},{method:"scInputType",name:"scInputType",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Change the Type"},complexType:{original:"string",resolved:"string",references:{}}},{method:"scSetState",name:"scSetState",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Set the checkout state."},complexType:{original:"string",resolved:"string",references:{}}}]}static get watchers(){return[{propName:"country",methodName:"handleCountryChange"},{propName:"otherLabel",methodName:"onLabelChange"},{propName:"caGstLabel",methodName:"onLabelChange"},{propName:"auAbnLabel",methodName:"onLabelChange"},{propName:"gbVatLabel",methodName:"onLabelChange"},{propName:"euVatLabel",methodName:"onLabelChange"}]}}